mbedtls_gcm_context Struct Reference

GCM context structure. More...

`#include <gcm.h>`

Collaboration diagram for mbedtls_gcm_context:
[legend]

## Data Fields

mbedtls_cipher_context_t | cipher_ctx
uint64_t | HL [16]
uint64_t | HH [16]
uint64_t | len
uint64_t | add_len
unsigned char | base_ectr [16]
unsigned char | y [16]
unsigned char | buf [16]
int | mode

## Detailed Description

GCM context structure.

Definition at line 43 of file gcm.h.

## Field Documentation

uint64_t mbedtls_gcm_context::add_len

Total add length

Definition at line 48 of file gcm.h.

unsigned char mbedtls_gcm_context::base_ectr[16]

First ECTR for tag

Definition at line 49 of file gcm.h.

unsigned char mbedtls_gcm_context::buf[16]

buf working value

Definition at line 51 of file gcm.h.

mbedtls_cipher_context_t mbedtls_gcm_context::cipher_ctx

cipher context used

Definition at line 44 of file gcm.h.

uint64_t mbedtls_gcm_context::HH[16]

Precalculated HTable

Definition at line 46 of file gcm.h.

uint64_t mbedtls_gcm_context::HL[16]

Precalculated HTable

Definition at line 45 of file gcm.h.

uint64_t mbedtls_gcm_context::len

Total data length

Definition at line 47 of file gcm.h.

int mbedtls_gcm_context::mode

Encrypt or Decrypt

Definition at line 52 of file gcm.h.

unsigned char mbedtls_gcm_context::y[16]

Y working value

Definition at line 50 of file gcm.h.

The documentation for this struct was generated from the following file:

- gcm.h